Os (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.exec.Os class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.exec
Class Os

    java.lang.Object
      org.hyperic.util.exec.Os

    public class Os

extends java.lang.Object

Condition that tests the OS type.

Constructor Summary
`Os()`

Method Summary
`static boolean` | `isArch(java.lang.String arch)` Determines if the OS on which Ant is executing matches the given OS architecture.
`static boolean` | `isFamily(java.lang.String family)` Determines if the OS on which Ant is executing matches the given OS family.
`static boolean` | `isName(java.lang.String name)` Determines if the OS on which Ant is executing matches the given OS name.
`static boolean` | `isOs(java.lang.String family, java.lang.String name, java.lang.String arch, java.lang.String version)` Determines if the OS on which Ant is executing matches the given OS family, name, architecture and version
`static boolean` | `isVersion(java.lang.String version)` Determines if the OS on which Ant is executing matches the given OS version.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Os

    public Os()

Method Detail

### isFamily

    public static boolean isFamily(java.lang.String family)

  Determines if the OS on which Ant is executing matches the given OS family.

  Parameters:
    `f` - The OS family type desired
    Possible values:
    - dos
    - mac
    - netware
    - os/2
    - unix
    - windows
  Since:
    1.5

### isName

    public static boolean isName(java.lang.String name)

  Determines if the OS on which Ant is executing matches the given OS name.

  Since:
    1.7

### isArch

    public static boolean isArch(java.lang.String arch)

  Determines if the OS on which Ant is executing matches the given OS architecture.

  Since:
    1.7

### isVersion

    public static boolean isVersion(java.lang.String version)

  Determines if the OS on which Ant is executing matches the given OS version.

  Since:
    1.7

### isOs

    public static boolean isOs(java.lang.String family,
                               java.lang.String name,
                               java.lang.String arch,
                               java.lang.String version)

  Determines if the OS on which Ant is executing matches the given OS family, name, architecture and version

  Parameters:
    `family` - The OS family
    `name` - The OS name
    `arch` - The OS architecture
    `version` - The OS version
  Since:
    1.7

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.